Skip to main content
GET
/
v1
/
custom_field_options
List
curl --request GET \
  --url https://api.incident.io/v1/custom_field_options \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.incident.io/v1/custom_field_options"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.incident.io/v1/custom_field_options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "custom_field_options": [
    {
      "custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "sort_key": 10,
      "value": "Product"
    }
  ],
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}
🔑 Requires the custom_fields.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

A custom field option's ID. This endpoint will return a list of custom field options created after this option.

Example:

"01G0J1EXE7AXZ2C93K61WBPYEH"

custom_field_id
string
required

The custom field to list options for.

Example:

"01FCNDV6P870EA6S7TK1DSYD5H"

Response

200 - application/json

OK response.

custom_field_options
object[]
required
Example:
[
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"sort_key": 10,
"value": "Product"
}
]
pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}